## org.apache.fop.pdf
Class PDFInternalLink

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFAction
                  |
                  +--org.apache.fop.pdf.PDFInternalLink

public class PDFInternalLink
extends PDFAction

class used to create a PDF internal link

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFInternalLink(java.lang.String goToReference)` create an internal link instance.

Method Summary
`java.lang.String` `getAction()` returns the action ncecessary for an internal link
`byte[]` `toPDF()` there is nothing to return for the toPDF method, as it should not be called

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFInternalLink

    public PDFInternalLink(java.lang.String goToReference)

  create an internal link instance.
  Parameters:
    `goToReference` - the GoTo Reference to which the link should point

Method Detail

### getAction

    public java.lang.String getAction()

  returns the action ncecessary for an internal link
  Overrides:
    getAction in class PDFAction
  Returns:
    the action to place next to /A within a Link

### toPDF

    public byte[] toPDF()

  there is nothing to return for the toPDF method, as it should not be called
  Overrides:
    toPDF in class PDFAction
  Returns:
    an empty string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.